
import random
import redis

def random_key_generator(key_length=10):
    """
    Generates a random key for Redis database.
    """
    return ''.join(random.choices('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789', k=key_length))

def set_random_value_to_redis(key, value):
    """
    Sets a random value to a random key in Redis.
    """
    r = redis.Redis(host='localhost', port=6379, db=0)
    random_key = random_key_generator()
    r.set(random_key, value)
    return random_key

def get_random_value_from_redis(key):
    """
    Retrieves a value from Redis using a random key.
    """
    r = redis.Redis(host='localhost', port=6379, db=0)
    value = r.get(key)
    return value.decode('utf-8') if value else None

